- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
efl::eldbus::const_message Struct Reference

## Public Types
typedef message_iterator | const_iterator
typedef const_iterator | iterator
typedef Eldbus_Message const * | native_handle_type
typedef Eldbus_Message const * | const_native_handle_type

## Public Member Functions
| const_message (Eldbus_Message const *message)
| const_message (const_message const &other, reply_t)
| const_message (const_message const &other, const char *error_name, const char *error_msg, error_t)
| const_message (const char *destination, const char *path, const char *iface, const char *method, method_call_t)
| const_message (const_message const &other)
const char * | path_get () const
const char * | interface_get () const
const char * | member_get () const
const char * | destination_get () const
const char * | sender_get () const
const char * | signature_get () const
bool | operator! () const
| operator bool () const
std::pair< const char *, const char * > | error_get () const
const_native_handle_type | native_handle () const
const_native_handle_type | const_native_handle () const
const_iterator | begin () const
const_iterator | end () const